LibreOffice: MenuProxy Service Reference

LibreOffice LibreOffice 5.1 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Exported Interfaces | List of all members
MenuProxy Service Referencepublished

Allows to execute dispatch for a menu item and handles listeners for changes in menu items. More...

`import"MenuProxy.idl";`

Inheritance diagram for MenuProxy:

## Exported Interfaces
interface | XMenuProxy

## Additional Inherited Members
Public Member Functions inherited from XMenuProxy
void | executeMenuItem ([in] short ID)
| Executes dispatch for the given menu id. More...
void | addMenuProxyListener ([in] XMenuProxyListener xListener)
| Registers an event listener, which will be called when the menu changes. More...
void | removeMenuProxyListener ([in] XMenuProxyListener xListener)
| Unregisters an event listener which was registered with XMenuProxy::addMenuProxyListener(). More...
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Allows to execute dispatch for a menu item and handles listeners for changes in menu items.

## Exported Interfaces

interface XMenuProxy

See also
  XMenuProxy

The documentation for this service was generated from the following file:

- com/sun/star/mozilla/MenuProxy.idl